USE credit
go

ALTER PROC GetMember
	(@Lastname	varchar(15))
AS
SELECT *
FROM member
WHERE Lastname LIKE @Lastname 
go 

EXEC GetMember '%t%' with recompile
go

EXECUTE sp_create_plan_guide_from_handle 
    @name =  N'Guide_For_GetMember',
    @plan_handle = 0x05000800F2A6E25BB8208607000000000000000000000000,
    @statement_start_offset = 106;
go

sp_control_plan_guide N'enable',N'Guide_For_GetMember'
go

select * from sys.plan_guides
go

sp_recompile 'GetMember' -- doesn't really affect the plan guide (except the showplan percentages seem way off - based on the first person that executes after a recompile)
go

EXEC GetMember 'T%' -- still uses the plan guide
EXEC GetMember 'T%' with recompile  -- still uses the plan guide but updates the percentages
go

sp_control_plan_guide N'drop',N'Guide_For_GetMember'