SELECT TOP 5 query_plan_hash AS 'Query Plan Hash'
    , SUM(total_worker_time)/SUM(execution_count) AS 'Avg CPU',
    MIN(CAST(query_plan as varchar(max))) AS 'ShowPlan XML'
FROM sys.dm_exec_query_stats AS QS 
CROSS APPLY sys.dm_exec_query_plan(QS.plan_handle)
GROUP BY query_plan_hash

SELECT qs.*, st.*, qp.*  -- you will want to limit this a bit more!
FROM sys.dm_exec_query_stats AS QS 
    CROSS APPLY sys.dm_exec_sql_text(QS.sql_handle) AS st
    CROSS APPLY sys.dm_exec_query_plan(QS.plan_handle) AS qp
where query_plan_hash = 0x6EE3B523C5ADEAB8

